#!/bin/sh

# -----------------------------------------
# The following are required for runnig ant
# -----------------------------------------
export oldpath=$CLASSPATH
export JAVA_HOME=./../../tools/java/jre
export ANT_HOME=./../../tools/ant

export CONFIG_DIR=./config-servers/maximo-all
export CLASSPATH=../../tools/maximo/classes:$CLASSPATH

$ANT_HOME/bin/ant -buildfile ./build-informer.xml informer.initialize

# -----------------------------------------------------------
# The following are the list of files that can be specified
# differently if you are building different maximo-x war files.
# -----------------------------------------------------------
export CLASSPATH=.
$ANT_HOME/bin/ant -buildfile ./maximo-all.xml $1 $2 $3 $4 $5

# -- if a different folder is used, comment line above and uncomment line below or pass as argument to the command
#$ANT_HOME/bin/ant -buildfile ./buildmaximomea-ear.xml -Dmaximo.deployconfigdir=$CONFIG_DIR

$ANT_HOME/bin/ant -buildfile ./build-informer.xml -Dmaximo.archive=./deployment/maximo-all/maximo-all-server/apps/maximo-all.ear maximo.updateClassPath.ear

export CLASSPATH=$oldpath

