#!/bin/sh

# -----------------------------------------
# The following are required for runnig ant
# -----------------------------------------
export oldpath=$CLASSPATH
export JAVA_HOME=./../../tools/java/jre
export ANT_HOME=./../../tools/ant

export CONFIG_DIR=./config-servers
export DEPLOY_DIR=./deployment

$ANT_HOME/bin/ant -buildfile ./build-informer.xml informer.initialize

# -----------------------------------------------------------
# The following are the list of files that can be specified
# differently if you are building different maximo-x war files.
# -----------------------------------------------------------
export CLASSPATH=.
#$ANT_HOME/bin/ant -buildfile ./buildmaximoui-war.xml $1 $2 $3 $4 $5

# -- if a different folder is used, comment line above and uncomment line below or pass as argument to the command
#$ANT_HOME/bin/ant -buildfile ./buildmaximomea-ear.xml -Dmaximo.deployconfigdir=$CONFIG_DIR
$ANT_HOME/bin/ant -buildfile ./buildmaximoui-war.xml -Dmaximo.deployconfigdir=$CONFIG_DIR/maximo-ui -Dmaximo.deploydeploymentdir=$DEPLOY_DIR/maximo-ui -Dmaximo.deploydir=$DEPLOY_DIR/maximo-ui/maximo-ui-server/apps
$ANT_HOME/bin/ant -buildfile ./buildmaximo-xwar.xml -Dmaximo.deployconfigdir=$CONFIG_DIR/maximo-ui -Dmaximo.deploydeploymentdir=$DEPLOY_DIR/maximo-ui -Dmaximo.deploydir=$DEPLOY_DIR/maximo-ui/maximo-ui-server/apps
#$ANT_HOME\bin\ant -buildfile ./buildmaximo-guestwar.xml -Dmaximo.deployconfigdir=$CONFIG_DIR/maximo-ui -Dmaximo.deploydeploymentdir=$DEPLOY_DIR/maximo-ui #-Dmaximo.deploydir=$DEPLOY_DIR/maximo-ui/maximo-ui-server/apps

$ANT_HOME/bin/ant -buildfile ./build-informer.xml -Dmaximo.archive=./deployment/maximo-ui/maximo-ui-server/apps/maximoui.war maximo.updateClassPath.war

export CLASSPATH=$oldpath
