create TABLE ispushqueue (
    active             INTEGER NOT NULL,
    catalog            VARCHAR(50),
    errorcount         INTEGER,
    errormsg           TEXT,
    host               VARCHAR(100 ),
    inerror            INTEGER,
    langcode           VARCHAR(4),
    node               VARCHAR(100),
    notifynum          VARCHAR(20),
    partitionname      VARCHAR(30),
    pushdeviceid       INT,
    pushqueueid        SERIAL PRIMARY KEY,
    pushtype           VARCHAR(50),
    threadname         VARCHAR(100),
    trackingid         INT,
    triggerobject      VARCHAR(30),
    triggerobjectid    BIGINT
);

CREATE INDEX ispushqueue_ndx10 ON ispushqueue (inerror,active);
CREATE INDEX ispushqueue_ndx11 ON ispushqueue (pushtype,pushdeviceid,active);
CREATE INDEX ispushqueue_ndx12 ON ispushqueue (active,host,node,threadname,pushqueueid);
